    
program test_file_handler_nc
    use test_manager_module
    use component_splitter_module
    use communicator_ga_module    

    implicit none
    
    type(TestManager) :: tm
    type(Communicator) :: comm_ga  
    
    call CompSplitter % init(COMMAND_ARGUMENT_COUNT()/2)

    if (CompSplitter % rank_world() == 0) &
        call system("cat /proc/sys/kernel/shmmax")
    
    call tm % init("par")

    call CompSplitter % show_memory_usage("after CompSplitter % init", 0)
    
    call comm_ga % init(CompSplitter % comp_defined(), CompSplitter % comm_local_size())

    call comm_ga % destroy()
    
    call tm % destroy()
    
    
end