#!/bin/bash

HELPERS="../../Const.f90 ../../Utils.f90 ../TestManager.f90"
FILES_BUILD="$HELPERS ../../DateTime.f90 ../../FileHandler_NC.f90 ../../Decomposition.f90 ../TestGlobalDomain.f90 ../../ComponentSplitter.f90 ../../Debug.f90 ../../Communicator_GA.f90 ../../Mapper.f90 test_mapper.f90"


function prepare_run1 () {
    ln -sf ../test_data data
}

RUN_COMMAND[1]="-np 1  ./exe ATM_NCAR 192 94 OCN 360 180"
RUN_COMMAND[2]="-np 2  ./exe ATM_NCAR 192 94 OCN 360 180"
RUN_COMMAND[3]="-np 10 ./exe ATM_NCAR 192 94 OCN 360 180"

RUN_COMMAND[4]="-np 1  ./exe LND_CORE 360 180 OCN 360 180"
RUN_COMMAND[5]="-np 2  ./exe LND_CORE 360 180 OCN 360 180"
RUN_COMMAND[6]="-np 4  ./exe LND_CORE 360 180 OCN 360 180"
RUN_COMMAND[7]="-np 10 ./exe LND_CORE 360 180 OCN 360 180"


















