#!/bin/bash 
#!
#PBS -N global01n
#PBS -e inmio.$PBS_JOBID.err
#PBS -o inmio.$PBS_JOBID.out
#PBS -l nodes=12:ppn=28
#PBS -l walltime=2:00:00
#PBS -l vmem=1400gb

#PBS -q high
# Test specific settings. Do not hand edit these lines; the fcm_job.sh script will set these
# (via sed operating on this template job file). 
#

#
#
# These variables are needed by post_test_tidyup function in all_functions.sh
#
# export LD_LIBRARY_PATH=$HOME/MYNEMO/libraries/lib:/opt/intel/compilers_and_libraries_2018.1.148/linux/compiler/lib/intel64_lin:$LD_LIBRARY_PATH
export EXE_DIR=$HOME/VITIM3.1/vitim3.1/coupling

cd ${EXE_DIR}

#
#  Run the parallel MPI executable 
#
#cat $PBS_NODEFILE
mpirun -np 330 ./cpl.exe DTR 10 CPL 10 IOD 10 OCN 300 m01 > out_m00-1.txt
#
# END_BODY
# Don't remove neither change the previous line
