#!/bin/bash

function compare_fields {

    local f1=$1
    local f2=$2
    
    result="err"
    
    output="$(cdo diff -selvar,t_an  $f1 $f2)"
    if [[ ! $output == *"records differ"* ]]; then
        result="ok"
    fi
}



COMPS_BUILD="ocn_test"

source $INMIO_SOFT_PATH/bin/utils.sh


# Just read_ic and save_cp
function prepare_run1 {
    add_key_val_to_file "search_cp ="       ".false.,"            ""  exp_save_read_cp.in  
    add_key_val_to_file "run_start_date = " "'1988-03-15 00:00:00'," "" exp_save_read_cp.in
}

RUN_COMMAND[1]="-np 4 ./cpl.exe DTR 1 OCN 1 IOD 1 CPL 1 save_read_cp"

# Then read_cp and save_cp
function prepare_run2 {
    add_key_val_to_file "search_cp ="       ".true.,"             ""  exp_save_read_cp.in  
    add_key_val_to_file "run_start_date = " "'1988-03-16 00:00:00'," "" exp_save_read_cp.in
}
   
RUN_COMMAND[2]="-np 5 ./cpl.exe DTR 1 OCN 1 IOD 1 CPL 2 save_read_cp"

function assert2 {
    compare_fields "./data/OCN_TEST_save_read_cp_CP_1988-03-16.nc" "./data/OCN_TEST_save_read_cp_CP_1988-03-17.nc"
}




















