    
program test_utils
    use test_manager_module
   
    use utils_module
    
    implicit none

    type(TestManager) :: tm
    real(8) :: local_area, local_int, global_int, ans
    integer :: i
    
    call tm % init("par")

    
    ! Test MPI utils
    local_area = (tm % rank() + 1)
    local_int = (tm % rank() + 1) * 10
    
    global_int = cmf_global_itg(local_area, local_int, tm % comm())
    call tm % assert(global_int == 10, "cmf_global_itg")

    call tm % report_tests()
    call tm % destroy()
    
end program