
!--------------------------------------
!		
!	Institute of Numerical Mathematics, Russian Academy of Sciences (INM RAS)
!	Shirshov Institute of Oceanology, Russian Academy of Sciences (IO RAS) 
!		Ocean General Circulation Model	
!			INMIO
!
!	parameterization of verical mixing
!
! authors: 
!	2010.05 / Ibrayev, Rashit, INM RAS, Russia, ibrayev@mail.ru 
!--------------------------------------


!----------------------------------------------------------------------
!	variables used in vmc block for munk-anderson parameterization
!----------------------------------------------------------------------


!~~~~~~~
	module o_d_vmc_1_module
!~~~~~~~

	implicit none
	save

	integer ::  v_mix_mod
	real c2Amv_all, c2Ahv_all
	
	real ::	c1Amv, c2Amv(50), c3Amv, nAmv,		&
		c1Ahv, c2Ahv(50), c3Ahv, nAhv,		&
		c1Asv, c2Asv(50), c3Asv, nAsv, dVc

	end module o_d_vmc_1_module
