module o_general_diagnostics_module

	implicit none
	save
	
	logical :: o_gen_diag_flag=.FALSE.
	real (kind=4), allocatable :: conv_adj_effect(:,:,:,:)
	real steps_per_sec
	
end module o_general_diagnostics_module

subroutine allocate_o_general_diagnostics_module
	use o_general_diagnostics_module
	use o_grid_module
	
	if(o_gen_diag_flag) then
		allocate(conv_adj_effect(kl,iwest(myrank)-1:ieast(myrank)+1,jsouth(myrank)-1:jnorth(myrank)+1,ml))
		conv_adj_effect=0.
	end if
	steps_per_sec=0.
end