#!/bin/bash -l
#SBATCH -N 3
#SBATCH -p knl
#SBATCH -t 4:0:00
#SBATCH -D /home5/iocean1/ushakov/VITIM2.1/vitim2.1_spinup_SLAV/coupling

export OMP_NUM_THREADS=1 # only needed for hybrid MPI/OpenMP codes built with "-qopenmp" flag

# Add the following "sbcast" line here for jobs larger than 1500 MPI tasks:
# sbcast ./mycode.exe /tmp/mycode.exe

srun -n 206 ./model.exe CPL 2 OCN 200 ATM 2 LND 2 d01 2 0 1