#!/bin/bash 
#!
#PBS -N inmio-cice-interim
#PBS -e inmio.$PBS_JOBID.err
#PBS -o inmio.$PBS_JOBID.out
#PBS -l nodes=21:ppn=28
#PBS -l walltime=24:00:00
#PBS -l vmem=600gb

#PBS -q high
# Test specific settings. Do not hand edit these lines; the fcm_job.sh script will set these
# (via sed operating on this template job file). 
#

#
#
# These variables are needed by post_test_tidyup function in all_functions.sh
#
# export LD_LIBRARY_PATH=$HOME/MYNEMO/libraries/lib:/opt/intel/compilers_and_libraries_2018.1.148/linux/compiler/lib/intel64_lin:$LD_LIBRARY_PATH
export EXE_DIR=$HOME/VITIM3.1/vitim_march/coupling

cd ${EXE_DIR}

#
#  Run the parallel MPI executable 
#
#cat $PBS_NODEFILE
mpirun -np 572 ./model.exe CPL 1 OCN 450 ATM 1 ICE 120 d10 8 7 0 > out_d10.txt
#
# END_BODY
# Don't remove neither change the previous line
